# Memory pins read back from quartus chip planner

# module I:
set_location_assignment PIN_AP20 -to MB_I_OU.a[0]
set_location_assignment PIN_AR20 -to MB_I_OU.a[1]
set_location_assignment PIN_AP19 -to MB_I_OU.a[2]
set_location_assignment PIN_AR19 -to MB_I_OU.a[3]
set_location_assignment PIN_AR18 -to MB_I_OU.a[4]
set_location_assignment PIN_AT17 -to MB_I_OU.a[5]
set_location_assignment PIN_AU19 -to MB_I_OU.a[6]
set_location_assignment PIN_AT18 -to MB_I_OU.a[7]
set_location_assignment PIN_AL17 -to MB_I_OU.a[8]
set_location_assignment PIN_AM18 -to MB_I_OU.a[9]
set_location_assignment PIN_AM19 -to MB_I_OU.a[10]
set_location_assignment PIN_AN19 -to MB_I_OU.a[11]
set_location_assignment PIN_BA17 -to MB_I_OU.a[12]
set_location_assignment PIN_BD17 -to MB_I_OU.a[13]
set_location_assignment PIN_AY18 -to MB_I_OU.act_n
set_location_assignment PIN_AV29 -to MB_I_IN.alert_n
set_location_assignment PIN_BB16 -to MB_I_OU.ba[0]
set_location_assignment PIN_BD16 -to MB_I_OU.ba[1]
set_location_assignment PIN_BC16 -to MB_I_OU.bg[0]
set_location_assignment PIN_AW19 -to MB_I_OU.bg[1]
set_location_assignment PIN_BA15 -to MB_I_OU.a[15]      ;# was: MB_I_CAS_A15
set_location_assignment PIN_BC21 -to MB_I_IO.dq[64]     ;# was: MB_I_CB[0]
set_location_assignment PIN_BA22 -to MB_I_IO.dq[65]     ;# was: MB_I_CB[1]
set_location_assignment PIN_BD21 -to MB_I_IO.dq[66]     ;# was: MB_I_CB[2]
set_location_assignment PIN_BB20 -to MB_I_IO.dq[67]     ;# was: MB_I_CB[3]
set_location_assignment PIN_BA20 -to MB_I_IO.dq[68]     ;# was: MB_I_CB[4]
set_location_assignment PIN_BD20 -to MB_I_IO.dq[69]     ;# was: MB_I_CB[5]
set_location_assignment PIN_AY20 -to MB_I_IO.dq[70]     ;# was: MB_I_CB[6]
set_location_assignment PIN_AY22 -to MB_I_IO.dq[71]     ;# was: MB_I_CB[7]
set_location_assignment PIN_AU18 -to MB_I_OU.ck[0]      ;# was: MB_I_CK[0]
set_location_assignment PIN_AV18 -to MB_I_OU.ck_n[0]    ;# was: MB_I_CK_n[0]
set_location_assignment PIN_AT16 -to MB_I_OU.ck[1]      ;# was: MB_I_CK[1]    # size ck 1 or 2? see: c_tech_ddr4_max in tech_ddr_pkg.vhd
set_location_assignment PIN_AU16 -to MB_I_OU.ck_n[1]    ;# was: MB_I_CK_n[1]  # size ck_n 1 or 2?
set_location_assignment PIN_BB19 -to MB_I_OU.cke[0]     ;# was: MB_I_CKE[0]
set_location_assignment PIN_AP16 -to MB_I_OU.cke[1]     ;# was: MB_I_CKE[1]   # size cke 1 or 2?
set_location_assignment PIN_AY19 -to MB_I_OU.cs_n[0]    ;# was: MB_I_CS[0]                        # inverted!?
set_location_assignment PIN_AN16 -to MB_I_OU.cs_n[1]    ;# was: MB_I_CS[1]    # size cs 1 or 2?   # inverted!?
set_location_assignment PIN_BC29 -to MB_I_IO.dbi_n[0]   ;# was: MB_I_DM[0]
set_location_assignment PIN_AR27 -to MB_I_IO.dbi_n[1]   ;# was: MB_I_DM[1]
set_location_assignment PIN_BD24 -to MB_I_IO.dbi_n[2]   ;# was: MB_I_DM[2]
set_location_assignment PIN_AM23 -to MB_I_IO.dbi_n[3]   ;# was: MB_I_DM[3]
set_location_assignment PIN_AU12 -to MB_I_IO.dbi_n[4]   ;# was: MB_I_DM[4]
set_location_assignment PIN_AU13 -to MB_I_IO.dbi_n[5]   ;# was: MB_I_DM[5]
set_location_assignment PIN_AM14 -to MB_I_IO.dbi_n[6]   ;# was: MB_I_DM[6]
set_location_assignment PIN_AM16 -to MB_I_IO.dbi_n[7]   ;# was: MB_I_DM[7]
set_location_assignment PIN_BA21 -to MB_I_IO.dbi_n[8]   ;# was: MB_I_DM[8]
set_location_assignment PIN_BA28 -to MB_I_IO.dqs[0]
set_location_assignment PIN_AM28 -to MB_I_IO.dqs[1]
set_location_assignment PIN_AV24 -to MB_I_IO.dqs[2]
set_location_assignment PIN_AN24 -to MB_I_IO.dqs[3]
set_location_assignment PIN_BC14 -to MB_I_IO.dqs[4]
set_location_assignment PIN_AW14 -to MB_I_IO.dqs[5]
set_location_assignment PIN_AN12 -to MB_I_IO.dqs[6]
set_location_assignment PIN_AK15 -to MB_I_IO.dqs[7]
set_location_assignment PIN_BC22 -to MB_I_IO.dqs[8]

set_location_assignment PIN_BD19 -to MB_I_OU.odt[0]
set_location_assignment PIN_AR17 -to MB_I_OU.odt[1]     ;# size odt 1 or 2?
set_location_assignment PIN_BC18 -to MB_I_OU.par
set_location_assignment PIN_BB15 -to MB_I_OU.a[16]      ;# was: MB_I_RAS_A16

set_location_assignment PIN_AW17 -to MB_I_REF_CLK

set_location_assignment PIN_AV19 -to MB_I_OU.reset_n
set_location_assignment PIN_AY17 -to MB_I_IN.oct_rzqin  ;# was: MB_I_RZQ  (correct?)
set_location_assignment PIN_BC17 -to MB_I_OU.a[14]      ;# was: MB_I_WE_A14


# FIXME: below edit not ready (fix pending questions above first ^ )

# module II:
set_location_assignment PIN_A29 -to MB_II_OU.a[0]
set_location_assignment PIN_B29 -to MB_II_OU.a[1]
set_location_assignment PIN_H29 -to MB_II_OU.a[2]
set_location_assignment PIN_G29 -to MB_II_OU.a[3]
set_location_assignment PIN_D29 -to MB_II_OU.a[4]
set_location_assignment PIN_E29 -to MB_II_OU.a[5]
set_location_assignment PIN_C29 -to MB_II_OU.a[6]
set_location_assignment PIN_C28 -to MB_II_OU.a[7]
set_location_assignment PIN_E30 -to MB_II_OU.a[8]
set_location_assignment PIN_D30 -to MB_II_OU.a[9]
set_location_assignment PIN_B28 -to MB_II_OU.a[10]
set_location_assignment PIN_A28 -to MB_II_OU.a[11]
set_location_assignment PIN_H27 -to MB_II_OU.a[12]
set_location_assignment PIN_E28 -to MB_II_OU.a[13]
set_location_assignment PIN_K28 -to MB_II_OU.act_n
set_location_assignment PIN_C16 -to MB_II_IN.alert_n
set_location_assignment PIN_C27 -to MB_II_OU.ba[0]
set_location_assignment PIN_A27 -to MB_II_OU.ba[1]
set_location_assignment PIN_B26 -to MB_II_OU.bg[0]
set_location_assignment PIN_L27 -to MB_II_OU.bg[1]
set_location_assignment PIN_F28 -to MB_II_OU.a[15]      ;# was: MB_II_CAS_A15
set_location_assignment PIN_E24 -to MB_II_IO.dq[64]     ;# was: MB_II_CB[0]
set_location_assignment PIN_J25 -to MB_II_IO.dq[65]     ;# was: MB_II_CB[1]
set_location_assignment PIN_A25 -to MB_II_IO.dq[66]     ;# was: MB_II_CB[2]
set_location_assignment PIN_G25 -to MB_II_IO.dq[67]     ;# was: MB_II_CB[3]
set_location_assignment PIN_D25 -to MB_II_IO.dq[68]     ;# was: MB_II_CB[4]
set_location_assignment PIN_K25 -to MB_II_IO.dq[69]     ;# was: MB_II_CB[5]
set_location_assignment PIN_D24 -to MB_II_IO.dq[70]     ;# was: MB_II_CB[6]
set_location_assignment PIN_F25 -to MB_II_IO.dq[71]     ;# was: MB_II_CB[7]
set_location_assignment PIN_N27 -to MB_II_OU.ck[0]      ;# was: MB_II_CK[0]  
set_location_assignment PIN_M28 -to MB_II_OU.ck_n[0]    ;# was: MB_II_CK_n[0]
set_location_assignment PIN_K27 -to MB_II_OU.ck[1]      ;# was: MB_II_CK[1]  
set_location_assignment PIN_J26 -to MB_II_OU.ck_n[1]    ;# was: MB_II_CK_n[1]
set_location_assignment PIN_N28 -to MB_II_OU.cke[0]     ;# was: MB_II_CKE[0] 
set_location_assignment PIN_P26 -to MB_II_OU.cke[1]     ;# was: MB_II_CKE[1] 
set_location_assignment PIN_K29 -to MB_II_OU.cs_n[0]    ;# was: MB_II_CS[0]  
set_location_assignment PIN_H26 -to MB_II_OU.cs_n[1]    ;# was: MB_II_CS[1]  
set_location_assignment PIN_A16 -to MB_II_IO.dbi_n[0]   ;# was: MB_II_DM[0]
set_location_assignment PIN_M21 -to MB_II_IO.dbi_n[1]   ;# was: MB_II_DM[1]
set_location_assignment PIN_K22 -to MB_II_IO.dbi_n[2]   ;# was: MB_II_DM[2]
set_location_assignment PIN_D19 -to MB_II_IO.dbi_n[3]   ;# was: MB_II_DM[3]
set_location_assignment PIN_G30 -to MB_II_IO.dbi_n[4]   ;# was: MB_II_DM[4]
set_location_assignment PIN_R32 -to MB_II_IO.dbi_n[5]   ;# was: MB_II_DM[5]
set_location_assignment PIN_G32 -to MB_II_IO.dbi_n[6]   ;# was: MB_II_DM[6]
set_location_assignment PIN_AC32 -to MB_II_IO.dbi_n[7]  ;# was: MB_II_DM[7]
set_location_assignment PIN_E25 -to MB_II_IO.dbi_n[8]   ;# was: MB_II_DM[8]
set_location_assignment PIN_F17 -to MB_II_IO.dqs[0]
set_location_assignment PIN_L20 -to MB_II_IO.dqs[1]
set_location_assignment PIN_J22 -to MB_II_IO.dqs[2]
set_location_assignment PIN_B19 -to MB_II_IO.dqs[3]
set_location_assignment PIN_L31 -to MB_II_IO.dqs[4]
set_location_assignment PIN_P31 -to MB_II_IO.dqs[5]
set_location_assignment PIN_N33 -to MB_II_IO.dqs[6]
set_location_assignment PIN_T33 -to MB_II_IO.dqs[7]
set_location_assignment PIN_A26 -to MB_II_IO.dqs[8]

set_location_assignment PIN_K30 -to MB_II_OU.odt[0]
set_location_assignment PIN_R27 -to MB_II_OU.odt[1]
set_location_assignment PIN_R28 -to MB_II_OU.par
set_location_assignment PIN_G28 -to MB_II_OU.a[16]      ;# was: MB_II_RAS_A16

set_location_assignment PIN_J29 -to MB_II_REF_CLK

set_location_assignment PIN_L28 -to MB_II_OU.reset_n
# RZQ changed after Altera review
#set_location_assignment PIN_P20 -to MB_II_RZQ
set_location_assignment PIN_J27 -to MB_II_IN.oct_rzqin  ;# was: MB_II_RZQ  (correct?)
set_location_assignment PIN_F27 -to MB_II_OU.a[14]      ;# was: MB_II_WE_A14


# locations changed 30 sept
set_location_assignment PIN_Y12 -to MB_SCL
set_location_assignment PIN_AA12 -to MB_SDA

set_location_assignment PIN_M16 -to MB_I_IN.evt



set_location_assignment PIN_AU29 -to MB_I_IO.dq[0]
set_location_assignment PIN_BC28 -to MB_I_IO.dq[1]
set_location_assignment PIN_AY29 -to MB_I_IO.dq[2]
set_location_assignment PIN_BB28 -to MB_I_IO.dq[3]
set_location_assignment PIN_BB29 -to MB_I_IO.dq[4]
set_location_assignment PIN_AW29 -to MB_I_IO.dq[5]
set_location_assignment PIN_BC27 -to MB_I_IO.dq[6]
set_location_assignment PIN_BD29 -to MB_I_IO.dq[7]
set_location_assignment PIN_AR28 -to MB_I_IO.dq[8]
set_location_assignment PIN_AR29 -to MB_I_IO.dq[9]
set_location_assignment PIN_AV27 -to MB_I_IO.dq[10]
set_location_assignment PIN_AU28 -to MB_I_IO.dq[11]
set_location_assignment PIN_AW27 -to MB_I_IO.dq[12]
set_location_assignment PIN_AT28 -to MB_I_IO.dq[13]
set_location_assignment PIN_AV28 -to MB_I_IO.dq[14]
set_location_assignment PIN_AP27 -to MB_I_IO.dq[15]
set_location_assignment PIN_BC24 -to MB_I_IO.dq[16]
set_location_assignment PIN_BB24 -to MB_I_IO.dq[17]
set_location_assignment PIN_BB23 -to MB_I_IO.dq[18]
set_location_assignment PIN_AW22 -to MB_I_IO.dq[19]
set_location_assignment PIN_BA23 -to MB_I_IO.dq[20]
set_location_assignment PIN_BC23 -to MB_I_IO.dq[21]
set_location_assignment PIN_AY23 -to MB_I_IO.dq[22]
set_location_assignment PIN_AY24 -to MB_I_IO.dq[23]
set_location_assignment PIN_AP22 -to MB_I_IO.dq[24]
set_location_assignment PIN_AN23 -to MB_I_IO.dq[25]
set_location_assignment PIN_AR23 -to MB_I_IO.dq[26]
set_location_assignment PIN_AT23 -to MB_I_IO.dq[27]
set_location_assignment PIN_AU23 -to MB_I_IO.dq[28]
set_location_assignment PIN_AV23 -to MB_I_IO.dq[29]
set_location_assignment PIN_AR24 -to MB_I_IO.dq[30]
set_location_assignment PIN_AP24 -to MB_I_IO.dq[31]
set_location_assignment PIN_AV12 -to MB_I_IO.dq[32]
set_location_assignment PIN_AY13 -to MB_I_IO.dq[33]
set_location_assignment PIN_BD14 -to MB_I_IO.dq[34]
set_location_assignment PIN_AY12 -to MB_I_IO.dq[35]
set_location_assignment PIN_BA13 -to MB_I_IO.dq[36]
set_location_assignment PIN_BA12 -to MB_I_IO.dq[37]
set_location_assignment PIN_AW12 -to MB_I_IO.dq[38]
set_location_assignment PIN_BB13 -to MB_I_IO.dq[39]
set_location_assignment PIN_AV13 -to MB_I_IO.dq[40]
set_location_assignment PIN_AR13 -to MB_I_IO.dq[41]
set_location_assignment PIN_AR15 -to MB_I_IO.dq[42]
set_location_assignment PIN_AP15 -to MB_I_IO.dq[43]
set_location_assignment PIN_AT15 -to MB_I_IO.dq[44]
set_location_assignment PIN_AU14 -to MB_I_IO.dq[45]
set_location_assignment PIN_AU15 -to MB_I_IO.dq[46]
set_location_assignment PIN_AV14 -to MB_I_IO.dq[47]
set_location_assignment PIN_AM13 -to MB_I_IO.dq[48]
set_location_assignment PIN_AT13 -to MB_I_IO.dq[49]
set_location_assignment PIN_AT12 -to MB_I_IO.dq[50]
set_location_assignment PIN_AP14 -to MB_I_IO.dq[51]
set_location_assignment PIN_AN13 -to MB_I_IO.dq[52]
set_location_assignment PIN_AK13 -to MB_I_IO.dq[53]
set_location_assignment PIN_AM12 -to MB_I_IO.dq[54]
set_location_assignment PIN_AL13 -to MB_I_IO.dq[55]
set_location_assignment PIN_AH13 -to MB_I_IO.dq[56]
set_location_assignment PIN_AL15 -to MB_I_IO.dq[57]
set_location_assignment PIN_AM15 -to MB_I_IO.dq[58]
set_location_assignment PIN_AJ14 -to MB_I_IO.dq[59]
set_location_assignment PIN_AJ12 -to MB_I_IO.dq[60]
set_location_assignment PIN_AL16 -to MB_I_IO.dq[61]
set_location_assignment PIN_AK12 -to MB_I_IO.dq[62]
set_location_assignment PIN_AH14 -to MB_I_IO.dq[63]
set_location_assignment PIN_AY28 -to MB_I_IO.dqs_n[0]
set_location_assignment PIN_AN28 -to MB_I_IO.dqs_n[1]
set_location_assignment PIN_AU24 -to MB_I_IO.dqs_n[2]
set_location_assignment PIN_AM24 -to MB_I_IO.dqs_n[3]
set_location_assignment PIN_BB14 -to MB_I_IO.dqs_n[4]
set_location_assignment PIN_AY14 -to MB_I_IO.dqs_n[5]
set_location_assignment PIN_AP12 -to MB_I_IO.dqs_n[6]
set_location_assignment PIN_AK14 -to MB_I_IO.dqs_n[7]
set_location_assignment PIN_BD22 -to MB_I_IO.dqs_n[8]


set_location_assignment PIN_A17 -to MB_II_IO.dq[0]
set_location_assignment PIN_B16 -to MB_II_IO.dq[1]
set_location_assignment PIN_D16 -to MB_II_IO.dq[2]
set_location_assignment PIN_A18 -to MB_II_IO.dq[3]
set_location_assignment PIN_B18 -to MB_II_IO.dq[4]
set_location_assignment PIN_C17 -to MB_II_IO.dq[5]
set_location_assignment PIN_E18 -to MB_II_IO.dq[6]
set_location_assignment PIN_F18 -to MB_II_IO.dq[7]
set_location_assignment PIN_R22 -to MB_II_IO.dq[8]
set_location_assignment PIN_J20 -to MB_II_IO.dq[9]
set_location_assignment PIN_L21 -to MB_II_IO.dq[10]
set_location_assignment PIN_M20 -to MB_II_IO.dq[11]
set_location_assignment PIN_J21 -to MB_II_IO.dq[12]
set_location_assignment PIN_P21 -to MB_II_IO.dq[13]
set_location_assignment PIN_R20 -to MB_II_IO.dq[14]
set_location_assignment PIN_N21 -to MB_II_IO.dq[15]
set_location_assignment PIN_L22 -to MB_II_IO.dq[16]
set_location_assignment PIN_G20 -to MB_II_IO.dq[17]
set_location_assignment PIN_H21 -to MB_II_IO.dq[18]
set_location_assignment PIN_N22 -to MB_II_IO.dq[19]
set_location_assignment PIN_P22 -to MB_II_IO.dq[20]
set_location_assignment PIN_F20 -to MB_II_IO.dq[21]
set_location_assignment PIN_G21 -to MB_II_IO.dq[22]
set_location_assignment PIN_F21 -to MB_II_IO.dq[23]
set_location_assignment PIN_E19 -to MB_II_IO.dq[24]
set_location_assignment PIN_B20 -to MB_II_IO.dq[25]
set_location_assignment PIN_A20 -to MB_II_IO.dq[26]
set_location_assignment PIN_G19 -to MB_II_IO.dq[27]
set_location_assignment PIN_D20 -to MB_II_IO.dq[28]
set_location_assignment PIN_E20 -to MB_II_IO.dq[29]
set_location_assignment PIN_D17 -to MB_II_IO.dq[30]
set_location_assignment PIN_C18 -to MB_II_IO.dq[31]
set_location_assignment PIN_F30 -to MB_II_IO.dq[32]
set_location_assignment PIN_L30 -to MB_II_IO.dq[33]
set_location_assignment PIN_M30 -to MB_II_IO.dq[34]
set_location_assignment PIN_C31 -to MB_II_IO.dq[35]
set_location_assignment PIN_D31 -to MB_II_IO.dq[36]
set_location_assignment PIN_H31 -to MB_II_IO.dq[37]
set_location_assignment PIN_J31 -to MB_II_IO.dq[38]
set_location_assignment PIN_F31 -to MB_II_IO.dq[39]
set_location_assignment PIN_P32 -to MB_II_IO.dq[40]
set_location_assignment PIN_R30 -to MB_II_IO.dq[41]
set_location_assignment PIN_U31 -to MB_II_IO.dq[42]
set_location_assignment PIN_W31 -to MB_II_IO.dq[43]
set_location_assignment PIN_P29 -to MB_II_IO.dq[44]
set_location_assignment PIN_P30 -to MB_II_IO.dq[45]
set_location_assignment PIN_V31 -to MB_II_IO.dq[46]
set_location_assignment PIN_R29 -to MB_II_IO.dq[47]
set_location_assignment PIN_M33 -to MB_II_IO.dq[48]
set_location_assignment PIN_J33 -to MB_II_IO.dq[49]
set_location_assignment PIN_H33 -to MB_II_IO.dq[50]
set_location_assignment PIN_H32 -to MB_II_IO.dq[51]
set_location_assignment PIN_J32 -to MB_II_IO.dq[52]
set_location_assignment PIN_K33 -to MB_II_IO.dq[53]
set_location_assignment PIN_K32 -to MB_II_IO.dq[54]
set_location_assignment PIN_L32 -to MB_II_IO.dq[55]
set_location_assignment PIN_AB33 -to MB_II_IO.dq[56]
set_location_assignment PIN_AA32 -to MB_II_IO.dq[57]
set_location_assignment PIN_W32 -to MB_II_IO.dq[58]
set_location_assignment PIN_U33 -to MB_II_IO.dq[59]
set_location_assignment PIN_Y33 -to MB_II_IO.dq[60]
set_location_assignment PIN_AA33 -to MB_II_IO.dq[61]
set_location_assignment PIN_V33 -to MB_II_IO.dq[62]
set_location_assignment PIN_Y32 -to MB_II_IO.dq[63]
set_location_assignment PIN_E17 -to MB_II_IO.dqs_n[0]
set_location_assignment PIN_K20 -to MB_II_IO.dqs_n[1]
set_location_assignment PIN_H22 -to MB_II_IO.dqs_n[2]
set_location_assignment PIN_C19 -to MB_II_IO.dqs_n[3]
set_location_assignment PIN_M31 -to MB_II_IO.dqs_n[4]
set_location_assignment PIN_N31 -to MB_II_IO.dqs_n[5]
set_location_assignment PIN_P33 -to MB_II_IO.dqs_n[6]
set_location_assignment PIN_T32 -to MB_II_IO.dqs_n[7]
set_location_assignment PIN_B25 -to MB_II_IO.dqs_n[8]





