transcript on


config wave -signalnamewidth 1

if {[file exists work]} {
	vdel -lib work -all
}
vlib work
vmap work work

if {[file exists technology_lib]} {
	vdel -lib technology_lib -all
}
vlib technology_lib
vmap work technology_lib

if {[file exists common_lib]} {
	vdel -lib common_lib -all
}
vlib common_lib
vmap work common_lib

if {[file exists tech_memory_lib]} {
	vdel -lib tech_memory_lib -all
}
vlib tech_memory_lib
vmap work tech_memory_lib

if {[file exists ip_stratixiv_fifo_lib]} {
	vdel -lib ip_stratixiv_fifo_lib -all
}
vlib ip_stratixiv_fifo_lib
vmap work ip_stratixiv_fifo_lib

if {[file exists ip_stratixiv_ram_lib]} {
	vdel -lib ip_stratixiv_ram_lib -all
}
vlib ip_stratixiv_ram_lib
vmap work ip_stratixiv_ram_lib

if {[file exists ip_arria10_ram_lib]} {
	vdel -lib ip_arria10_ram_lib -all
}
vlib ip_arria10_ram_lib
vmap work ip_arria10_ram_lib

if {[file exists ip_arria10_fifo_lib]} {
	vdel -lib ip_arria10_fifo_lib -all
}
vlib ip_arria10_fifo_lib
vmap work ip_arria10_fifo_lib

if {[file exists tech_fifo_lib]} {
	vdel -lib tech_fifo_lib -all
}
vlib tech_fifo_lib
vmap work tech_fifo_lib

if {[file exists dp_lib]} {
	vdel -lib dp_lib -all
}
vlib dp_lib
vmap work dp_lib


set SVNROOT /home/student/astron/UniBoard_FP7/
set RadioHDL ${SVNROOT}/RadioHDL/trunk
set UniBoard ${SVNROOT}/UniBoard/trunk

vcom -93 -work common_lib ${UniBoard}/Firmware/modules/common/src/vhdl/common_pkg.vhd
vcom -93 -work work ${UniBoard}/Firmware/modules/common/src/vhdl/common_pkg.vhd
vcom -93 -work work ${RadioHDL}/libraries/base/common/src/vhdl/common_mem_pkg.vhd
vcom -93 -work common_lib ${RadioHDL}/libraries/base/common/src/vhdl/common_mem_pkg.vhd
vcom -93 -work work ${RadioHDL}/libraries/technology/technology_pkg.vhd
vcom -93 -work technology_lib ${RadioHDL}/libraries/technology/technology_pkg.vhd
vcom -93 -work work ${RadioHDL}/libraries/technology/technology_select_pkg.vhd
vcom -93 -work technology_lib ${RadioHDL}/libraries/technology/technology_select_pkg.vhd

vcom -93 -work ip_arria10_fifo_lib ${RadioHDL}/libraries/technology/ip_arria10/fifo/ip_arria10_fifo_sc.vhd

vcom -93 -work ip_stratixiv_fifo_lib ${RadioHDL}/libraries/technology/ip_stratixiv/fifo/ip_stratixiv_fifo_dc.vhd
vcom -93 -work ip_stratixiv_fifo_lib ${RadioHDL}/libraries/technology/ip_stratixiv/fifo/ip_stratixiv_fifo_sc.vhd
vcom -93 -work ip_stratixiv_fifo_lib ${RadioHDL}/libraries/technology/ip_stratixiv/fifo/ip_stratixiv_fifo_dc_mixed_widths.vhd

vcom -93 -work tech_fifo_lib ${RadioHDL}/libraries/technology/fifo/tech_fifo_component_pkg.vhd
vcom -93 -work tech_fifo_lib ${RadioHDL}/libraries/technology/fifo/tech_fifo_dc.vhd
vcom -93 -work tech_fifo_lib ${RadioHDL}/libraries/technology/fifo/tech_fifo_sc.vhd
vcom -93 -work tech_fifo_lib ${RadioHDL}/libraries/technology/fifo/tech_fifo_dc_mixed_widths.vhd
vcom -93 -work common_lib ${UniBoard}/Firmware/modules/common/src/vhdl/common_async.vhd
vcom -93 -work common_lib ${UniBoard}/Firmware/modules/common/src/vhdl/common_areset.vhd

vcom -93 -work dp_lib ${RadioHDL}/libraries/base/dp/src/vhdl/dp_stream_pkg.vhd
vcom -93 -work dp_lib ${UniBoard}/Firmware/modules/dp/src/vhdl/dp_latency_increase.vhd
vcom -93 -work dp_lib ${UniBoard}/Firmware/modules/dp/src/vhdl/dp_latency_adapter.vhd

vcom -93 -work common_lib ${RadioHDL}/libraries/base/common/src/vhdl/common_fifo_sc.vhd
vcom -93 -work common_lib ${RadioHDL}/libraries/base/common/src/vhdl/common_fifo_dc.vhd
vcom -93 -work dp_lib ${RadioHDL}/libraries/base/dp/src/vhdl/dp_fifo_core.vhd
vcom -93 -work dp_lib ${RadioHDL}/libraries/base/dp/src/vhdl/dp_fifo_sc.vhd

vcom -93 -work common_lib ${UniBoard}/Firmware/modules/common/src/vhdl/common_async.vhd
vcom -93 -work common_lib ${UniBoard}/Firmware/modules/common/src/vhdl/common_pipeline.vhd

vcom -93 -work ip_stratixiv_ram_lib ${RadioHDL}/libraries/technology/ip_stratixiv/ram/ip_stratixiv_ram_crw_crw.vhd
vcom -93 -work ip_stratixiv_ram_lib ${RadioHDL}/libraries/technology/ip_stratixiv/ram/ip_stratixiv_ram_cr_cw.vhd

vcom -93 -work ip_arria10_ram_lib ${RadioHDL}/libraries/technology/ip_arria10/ram/ip_arria10_simple_dual_port_ram_dual_clock.vhd
vcom -93 -work ip_arria10_ram_lib ${RadioHDL}/libraries/technology/ip_arria10/ram/ip_arria10_true_dual_port_ram_dual_clock.vhd
vcom -93 -work ip_arria10_ram_lib ${RadioHDL}/libraries/technology/ip_arria10/ram/ip_arria10_ram_crw_crw.vhd
vcom -93 -work ip_arria10_ram_lib ${RadioHDL}/libraries/technology/ip_arria10/ram/ip_arria10_ram_cr_cw.vhd

vcom -93 -work tech_memory_lib ${RadioHDL}/libraries/technology/memory/tech_memory_component_pkg.vhd
vcom -93 -work tech_memory_lib ${RadioHDL}/libraries/technology/memory/tech_memory_ram_cr_cw.vhd
vcom -93 -work tech_memory_lib ${RadioHDL}/libraries/technology/memory/tech_memory_ram_crw_crw.vhd

vcom -93 -work common_lib ${RadioHDL}/libraries/base/common/src/vhdl/common_ram_crw_crw.vhd
vcom -93 -work common_lib ${RadioHDL}/libraries/base/common/src/vhdl/common_ram_rw_rw.vhd
vcom -93 -work common_lib ${RadioHDL}/libraries/base/common/src/vhdl/common_ram_r_w.vhd

# -- Compaan Specific 
if {[file exists compaandesign_com_common_common_1_lib]} {
	vdel -lib compaandesign_com_common_common_1_lib -all
}
vlib compaandesign_com_common_common_1_lib
vmap work compaandesign_com_common_common_1_lib

vcom -93 -work compaandesign_com_common_common_1_lib {compaandesign_com/common/common/src/vhdl/hw_node_pkg.vhd}

if {[file exists compaandesign_com_common_const_connector_1_lib]} {
	vdel -lib compaandesign_com_common_const_connector_1_lib -all
}
vlib compaandesign_com_common_const_connector_1_lib
vmap work compaandesign_com_common_const_connector_1_lib

vcom -93 -work compaandesign_com_common_const_connector_1_lib {compaandesign_com/common/const_connector/src/vhdl/const_connector.vhd}

if {[file exists compaandesign_com_common_altera_1_lib]} {
	vdel -lib compaandesign_com_common_altera_1_lib -all
}
vlib compaandesign_com_common_altera_1_lib
vmap work compaandesign_com_common_altera_1_lib

vcom -93 -work compaandesign_com_common_altera_1_lib {compaandesign_com/common/altera/src/vhdl/fsl_v20.vhd}

if {[file exists compaandesign_com_common_extern_connector_1_lib]} {
	vdel -lib compaandesign_com_common_extern_connector_1_lib -all
}
vlib compaandesign_com_common_extern_connector_1_lib
vmap work compaandesign_com_common_extern_connector_1_lib

vcom -93 -work compaandesign_com_common_extern_connector_1_lib {compaandesign_com/common/extern_connector/src/vhdl/extern_connector.vhd}

if {[file exists compaandesign_com_common_hwnode_1_lib]} {
	vdel -lib compaandesign_com_common_hwnode_1_lib -all
}
vlib compaandesign_com_common_hwnode_1_lib
vmap work compaandesign_com_common_hwnode_1_lib

vcom -93 -work compaandesign_com_common_hwnode_1_lib {compaandesign_com/common/hwnode/src/vhdl/controller.vhd}
vcom -93 -work compaandesign_com_common_hwnode_1_lib {compaandesign_com/common/hwnode/src/vhdl/counter.vhd}
vcom -93 -work compaandesign_com_common_hwnode_1_lib {compaandesign_com/common/hwnode/src/vhdl/it_mod.vhd}
vcom -93 -work compaandesign_com_common_hwnode_1_lib {compaandesign_com/common/hwnode/src/vhdl/it_mul.vhd}
vcom -93 -work compaandesign_com_common_hwnode_1_lib {compaandesign_com/common/hwnode/src/vhdl/parameters.vhd}
vcom -93 -work compaandesign_com_common_hwnode_1_lib {compaandesign_com/common/hwnode/src/vhdl/read_mux.vhd}
vcom -93 -work compaandesign_com_common_hwnode_1_lib {compaandesign_com/common/hwnode/src/vhdl/read_mmux.vhd}
vcom -93 -work compaandesign_com_common_hwnode_1_lib {compaandesign_com/common/hwnode/src/vhdl/write_demux.vhd}

if {[file exists compaandesign_com_common_wire_connector_1_lib]} {
	vdel -lib compaandesign_com_common_wire_connector_1_lib -all
}
vlib compaandesign_com_common_wire_connector_1_lib
vmap work compaandesign_com_common_wire_connector_1_lib

vcom -93 -work compaandesign_com_common_wire_connector_1_lib {compaandesign_com/common/wire_connector/src/vhdl/wire_connector.vhd}

if {[file exists compaandesign_com_pipeline2rtl_functions_1_lib]} {
	vdel -lib compaandesign_com_pipeline2rtl_functions_1_lib -all
}
vlib compaandesign_com_pipeline2rtl_functions_1_lib
vmap work compaandesign_com_pipeline2rtl_functions_1_lib

vcom -93 -work compaandesign_com_pipeline2rtl_functions_1_lib {compaandesign_com/pipeline2rtl/functions/src/vhdl/compaan_outlinedproc4.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_functions_1_lib {compaandesign_com/pipeline2rtl/functions/src/vhdl/compaan_outlinedproc4_pipeline.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_functions_1_lib {compaandesign_com/pipeline2rtl/functions/src/vhdl/compaan_outlinedproc5.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_functions_1_lib {compaandesign_com/pipeline2rtl/functions/src/vhdl/compaan_outlinedproc5_pipeline.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_functions_1_lib {compaandesign_com/pipeline2rtl/functions/src/vhdl/compaan_outlinedproc6.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_functions_1_lib {compaandesign_com/pipeline2rtl/functions/src/vhdl/compaan_outlinedproc6_pipeline.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_functions_1_lib {compaandesign_com/pipeline2rtl/functions/src/vhdl/compaan_outlinedproc7.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_functions_1_lib {compaandesign_com/pipeline2rtl/functions/src/vhdl/compaan_outlinedproc7_pipeline.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_functions_1_lib {compaandesign_com/pipeline2rtl/functions/src/vhdl/dump.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_functions_1_lib {compaandesign_com/pipeline2rtl/functions/src/vhdl/dump_pipeline.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_functions_1_lib {compaandesign_com/pipeline2rtl/functions/src/vhdl/compaan_outlinedproc8.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_functions_1_lib {compaandesign_com/pipeline2rtl/functions/src/vhdl/compaan_outlinedproc8_pipeline.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_functions_1_lib {compaandesign_com/pipeline2rtl/functions/src/vhdl/compaan_outlinedproc9.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_functions_1_lib {compaandesign_com/pipeline2rtl/functions/src/vhdl/compaan_outlinedproc9_pipeline.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_functions_1_lib {compaandesign_com/pipeline2rtl/functions/src/vhdl/compaan_outlinedproc10.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_functions_1_lib {compaandesign_com/pipeline2rtl/functions/src/vhdl/compaan_outlinedproc10_pipeline.vhd}

if {[file exists compaandesign_com_pipeline2rtl_hwn_nd_2_1_lib]} {
	vdel -lib compaandesign_com_pipeline2rtl_hwn_nd_2_1_lib -all
}
vlib compaandesign_com_pipeline2rtl_hwn_nd_2_1_lib
vmap work compaandesign_com_pipeline2rtl_hwn_nd_2_1_lib

vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_2_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_2/src/vhdl/pipeline2rtl_hwn_nd_2_execution_unit.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_2_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_2/src/vhdl/pipeline2rtl_hwn_nd_2_eval_logic_rd.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_2_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_2/src/vhdl/pipeline2rtl_hwn_nd_2_eval_logic_wr.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_2_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_2/src/vhdl/pipeline2rtl_hwn_nd_2.vhd}

if {[file exists compaandesign_com_pipeline2rtl_hwn_nd_3_1_lib]} {
	vdel -lib compaandesign_com_pipeline2rtl_hwn_nd_3_1_lib -all
}
vlib compaandesign_com_pipeline2rtl_hwn_nd_3_1_lib
vmap work compaandesign_com_pipeline2rtl_hwn_nd_3_1_lib

vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_3_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_3/src/vhdl/pipeline2rtl_hwn_nd_3_execution_unit.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_3_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_3/src/vhdl/pipeline2rtl_hwn_nd_3_eval_logic_rd.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_3_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_3/src/vhdl/pipeline2rtl_hwn_nd_3_eval_logic_wr.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_3_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_3/src/vhdl/pipeline2rtl_hwn_nd_3.vhd}
if {[file exists compaandesign_com_invert2rtl_functions_1_lib]} {
	vdel -lib compaandesign_com_invert2rtl_functions_1_lib -all
}
vlib compaandesign_com_invert2rtl_functions_1_lib
vmap work compaandesign_com_invert2rtl_functions_1_lib

vcom -93 -work compaandesign_com_invert2rtl_functions_1_lib {compaandesign_com/invert2rtl/functions/src/vhdl/compaan_outlinedproc0.vhd}
vcom -93 -work compaandesign_com_invert2rtl_functions_1_lib {compaandesign_com/invert2rtl/functions/src/vhdl/compaan_outlinedproc0_pipeline.vhd}
vcom -93 -work compaandesign_com_invert2rtl_functions_1_lib {compaandesign_com/invert2rtl/functions/src/vhdl/filter_invert.vhd}
vcom -93 -work compaandesign_com_invert2rtl_functions_1_lib {compaandesign_com/invert2rtl/functions/src/vhdl/filter_invert_pipeline.vhd}
vcom -93 -work compaandesign_com_invert2rtl_functions_1_lib {compaandesign_com/invert2rtl/functions/src/vhdl/compaan_outlinedproc1.vhd}
vcom -93 -work compaandesign_com_invert2rtl_functions_1_lib {compaandesign_com/invert2rtl/functions/src/vhdl/compaan_outlinedproc1_pipeline.vhd}

if {[file exists compaandesign_com_invert2rtl_hwn_nd_1_1_lib]} {
	vdel -lib compaandesign_com_invert2rtl_hwn_nd_1_1_lib -all
}
vlib compaandesign_com_invert2rtl_hwn_nd_1_1_lib
vmap work compaandesign_com_invert2rtl_hwn_nd_1_1_lib

vcom -93 -work compaandesign_com_invert2rtl_hwn_nd_1_1_lib {compaandesign_com/invert2rtl/hwn_nd_1/src/vhdl/invert2rtl_hwn_nd_1_execution_unit.vhd}
vcom -93 -work compaandesign_com_invert2rtl_hwn_nd_1_1_lib {compaandesign_com/invert2rtl/hwn_nd_1/src/vhdl/invert2rtl_hwn_nd_1_eval_logic_rd.vhd}
vcom -93 -work compaandesign_com_invert2rtl_hwn_nd_1_1_lib {compaandesign_com/invert2rtl/hwn_nd_1/src/vhdl/invert2rtl_hwn_nd_1_eval_logic_wr.vhd}
vcom -93 -work compaandesign_com_invert2rtl_hwn_nd_1_1_lib {compaandesign_com/invert2rtl/hwn_nd_1/src/vhdl/invert2rtl_hwn_nd_1.vhd}

if {[file exists compaandesign_com_invert2rtl_hwn_nd_2_1_lib]} {
	vdel -lib compaandesign_com_invert2rtl_hwn_nd_2_1_lib -all
}
vlib compaandesign_com_invert2rtl_hwn_nd_2_1_lib
vmap work compaandesign_com_invert2rtl_hwn_nd_2_1_lib

vcom -93 -work compaandesign_com_invert2rtl_hwn_nd_2_1_lib {compaandesign_com/invert2rtl/hwn_nd_2/src/vhdl/invert2rtl_hwn_nd_2_execution_unit.vhd}
vcom -93 -work compaandesign_com_invert2rtl_hwn_nd_2_1_lib {compaandesign_com/invert2rtl/hwn_nd_2/src/vhdl/invert2rtl_hwn_nd_2_eval_logic_rd.vhd}
vcom -93 -work compaandesign_com_invert2rtl_hwn_nd_2_1_lib {compaandesign_com/invert2rtl/hwn_nd_2/src/vhdl/invert2rtl_hwn_nd_2_eval_logic_wr.vhd}
vcom -93 -work compaandesign_com_invert2rtl_hwn_nd_2_1_lib {compaandesign_com/invert2rtl/hwn_nd_2/src/vhdl/invert2rtl_hwn_nd_2.vhd}

if {[file exists compaandesign_com_invert2rtl_hwn_nd_3_1_lib]} {
	vdel -lib compaandesign_com_invert2rtl_hwn_nd_3_1_lib -all
}
vlib compaandesign_com_invert2rtl_hwn_nd_3_1_lib
vmap work compaandesign_com_invert2rtl_hwn_nd_3_1_lib

vcom -93 -work compaandesign_com_invert2rtl_hwn_nd_3_1_lib {compaandesign_com/invert2rtl/hwn_nd_3/src/vhdl/invert2rtl_hwn_nd_3_execution_unit.vhd}
vcom -93 -work compaandesign_com_invert2rtl_hwn_nd_3_1_lib {compaandesign_com/invert2rtl/hwn_nd_3/src/vhdl/invert2rtl_hwn_nd_3_eval_logic_rd.vhd}
vcom -93 -work compaandesign_com_invert2rtl_hwn_nd_3_1_lib {compaandesign_com/invert2rtl/hwn_nd_3/src/vhdl/invert2rtl_hwn_nd_3_eval_logic_wr.vhd}
vcom -93 -work compaandesign_com_invert2rtl_hwn_nd_3_1_lib {compaandesign_com/invert2rtl/hwn_nd_3/src/vhdl/invert2rtl_hwn_nd_3.vhd}



if {[file exists compaandesign_com_pipeline2rtl_hwn_nd_5_1_lib]} {
	vdel -lib compaandesign_com_pipeline2rtl_hwn_nd_5_1_lib -all
}
vlib compaandesign_com_pipeline2rtl_hwn_nd_5_1_lib
vmap work compaandesign_com_pipeline2rtl_hwn_nd_5_1_lib

vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_5_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_5/src/vhdl/pipeline2rtl_hwn_nd_5_execution_unit.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_5_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_5/src/vhdl/pipeline2rtl_hwn_nd_5_eval_logic_rd.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_5_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_5/src/vhdl/pipeline2rtl_hwn_nd_5_eval_logic_wr.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_5_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_5/src/vhdl/pipeline2rtl_hwn_nd_5.vhd}

if {[file exists compaandesign_com_pipeline2rtl_hwn_nd_6_1_lib]} {
	vdel -lib compaandesign_com_pipeline2rtl_hwn_nd_6_1_lib -all
}
vlib compaandesign_com_pipeline2rtl_hwn_nd_6_1_lib
vmap work compaandesign_com_pipeline2rtl_hwn_nd_6_1_lib

vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_6_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_6/src/vhdl/pipeline2rtl_hwn_nd_6_execution_unit.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_6_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_6/src/vhdl/pipeline2rtl_hwn_nd_6_eval_logic_rd.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_6_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_6/src/vhdl/pipeline2rtl_hwn_nd_6_eval_logic_wr.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_6_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_6/src/vhdl/pipeline2rtl_hwn_nd_6.vhd}

if {[file exists compaandesign_com_pipeline2rtl_hwn_nd_7_1_lib]} {
	vdel -lib compaandesign_com_pipeline2rtl_hwn_nd_7_1_lib -all
}
vlib compaandesign_com_pipeline2rtl_hwn_nd_7_1_lib
vmap work compaandesign_com_pipeline2rtl_hwn_nd_7_1_lib

vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_7_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_7/src/vhdl/pipeline2rtl_hwn_nd_7_execution_unit.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_7_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_7/src/vhdl/pipeline2rtl_hwn_nd_7_eval_logic_rd.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_7_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_7/src/vhdl/pipeline2rtl_hwn_nd_7.vhd}

if {[file exists compaandesign_com_pipeline2rtl_hwn_nd_8_1_lib]} {
	vdel -lib compaandesign_com_pipeline2rtl_hwn_nd_8_1_lib -all
}
vlib compaandesign_com_pipeline2rtl_hwn_nd_8_1_lib
vmap work compaandesign_com_pipeline2rtl_hwn_nd_8_1_lib

vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_8_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_8/src/vhdl/pipeline2rtl_hwn_nd_8_execution_unit.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_8_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_8/src/vhdl/pipeline2rtl_hwn_nd_8_eval_logic_rd.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_8_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_8/src/vhdl/pipeline2rtl_hwn_nd_8_eval_logic_wr.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_8_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_8/src/vhdl/pipeline2rtl_hwn_nd_8.vhd}

if {[file exists compaandesign_com_pipeline2rtl_hwn_nd_9_1_lib]} {
	vdel -lib compaandesign_com_pipeline2rtl_hwn_nd_9_1_lib -all
}
vlib compaandesign_com_pipeline2rtl_hwn_nd_9_1_lib
vmap work compaandesign_com_pipeline2rtl_hwn_nd_9_1_lib

vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_9_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_9/src/vhdl/pipeline2rtl_hwn_nd_9_execution_unit.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_9_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_9/src/vhdl/pipeline2rtl_hwn_nd_9_eval_logic_rd.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_9_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_9/src/vhdl/pipeline2rtl_hwn_nd_9_eval_logic_wr.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_9_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_9/src/vhdl/pipeline2rtl_hwn_nd_9.vhd}

if {[file exists compaandesign_com_pipeline2rtl_hwn_nd_10_1_lib]} {
	vdel -lib compaandesign_com_pipeline2rtl_hwn_nd_10_1_lib -all
}
vlib compaandesign_com_pipeline2rtl_hwn_nd_10_1_lib
vmap work compaandesign_com_pipeline2rtl_hwn_nd_10_1_lib

vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_10_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_10/src/vhdl/pipeline2rtl_hwn_nd_10_execution_unit.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_10_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_10/src/vhdl/pipeline2rtl_hwn_nd_10_eval_logic_rd.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_10_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_10/src/vhdl/pipeline2rtl_hwn_nd_10_eval_logic_wr.vhd}
vcom -93 -work compaandesign_com_pipeline2rtl_hwn_nd_10_1_lib {compaandesign_com/pipeline2rtl/hwn_nd_10/src/vhdl/pipeline2rtl_hwn_nd_10.vhd}

if {[file exists compaandesign_com_pipeline2rtl_control_if_1_lib]} {
	vdel -lib compaandesign_com_pipeline2rtl_control_if_1_lib -all
}
vlib compaandesign_com_pipeline2rtl_control_if_1_lib
vmap work compaandesign_com_pipeline2rtl_control_if_1_lib

vcom -93 -work compaandesign_com_pipeline2rtl_control_if_1_lib {compaandesign_com/pipeline2rtl/control_if/src/vhdl/control_if.vhd}

if {[file exists compaandesign_com_pipeline2rtl_param_ext_1_lib]} {
	vdel -lib compaandesign_com_pipeline2rtl_param_ext_1_lib -all
}
vlib compaandesign_com_pipeline2rtl_param_ext_1_lib
vmap work compaandesign_com_pipeline2rtl_param_ext_1_lib

vcom -93 -work compaandesign_com_pipeline2rtl_param_ext_1_lib {compaandesign_com/pipeline2rtl/param_ext/src/vhdl/param_ext.vhd}

if {[file exists compaandesign_com_pipeline2rtl_register_rf_1_lib]} {
	vdel -lib compaandesign_com_pipeline2rtl_register_rf_1_lib -all
}
vlib compaandesign_com_pipeline2rtl_register_rf_1_lib
vmap work compaandesign_com_pipeline2rtl_register_rf_1_lib

vcom -93 -work compaandesign_com_pipeline2rtl_register_rf_1_lib {compaandesign_com/pipeline2rtl/register_rf/src/vhdl/register_rf.vhd}











vcom -93 -work work src/vhdl/pipeline2rtl_ed_2_ip_wrapper.vhd
vcom -93 -work work src/vhdl/pipeline2rtl_hwn_nd_5_ip_wrapper.vhd
vcom -93 -work work src/vhdl/pipeline2rtl_ed_4_ip_wrapper.vhd
vcom -93 -work work src/vhdl/pipeline2rtl_hwn_nd_9_ip_wrapper.vhd
vcom -93 -work work src/vhdl/system_ext_TB.vhd
vcom -93 -work work src/vhdl/pipeline2rtl_hwn_nd_3_ip_wrapper.vhd
vcom -93 -work work src/vhdl/pipeline2rtl_ed_9_10_ip_wrapper.vhd
vcom -93 -work work src/vhdl/pipeline2rtl_hwn_nd_4.vhd
vcom -93 -work work src/vhdl/invert2rtl_hwn_nd_2_ip_wrapper.vhd
vcom -93 -work work src/vhdl/pipeline2rtl_control_if_ip_wrapper.vhd
vcom -93 -work work src/vhdl/invert2rtl_ed_2_ip_wrapper.vhd
vcom -93 -work work src/vhdl/pipeline2rtl_hwn_nd_8_ip_wrapper.vhd
vcom -93 -work work src/vhdl/invert2rtl_ed_1_ip_wrapper.vhd
vcom -93 -work work src/vhdl/pipeline2rtl_ed_8_ip_wrapper.vhd
vcom -93 -work work src/vhdl/pipeline2rtl_ed_6_ip_wrapper.vhd
vcom -93 -work work src/vhdl/pipeline2rtl_ed_5_ip_wrapper.vhd
vcom -93 -work work src/vhdl/pipeline2rtl_register_rf_ip_wrapper.vhd
vcom -93 -work work src/vhdl/pipeline2rtl_ed_3_ip_wrapper.vhd
vcom -93 -work work src/vhdl/pipeline2rtl_hwn_nd_7_ip_wrapper.vhd
vcom -93 -work work src/vhdl/pipeline2rtl_param_ext_ip_wrapper.vhd
vcom -93 -work work src/vhdl/pipeline2rtl_hwn_nd_6_ip_wrapper.vhd
vcom -93 -work work src/vhdl/pipeline.vhd
vcom -93 -work work src/vhdl/pipeline2rtl_hwn_nd_2_ip_wrapper.vhd
vcom -93 -work work src/vhdl/pipeline2rtl_hwn_nd_10_ip_wrapper.vhd
vcom -93 -work work src/vhdl/pipeline2rtl_hwn_nd_4_ip_wrapper.vhd
vcom -93 -work work src/vhdl/invert2rtl_hwn_nd_3_ip_wrapper.vhd
vcom -93 -work work src/vhdl/invert2rtl_hwn_nd_1_ip_wrapper.vhd
vcom -93 -work work src/vhdl/pipeline2rtl_ed_7_ip_wrapper.vhd
vcom -93 -work work src/vhdl/invert.vhd
vcom -93 -work work src/vhdl/pipeline2rtl_ed_1_ip_wrapper.vhd

vsim -t 1ps -L altera -L lpm -L sgate -L altera_mf -L altera_lnsim -L stratixiv_hssi -L ip_stratixiv_ram_lib -L stratixiv_pcie_hip -L stratixiv -L common_lib -L tech_memory_lib  -L ip_stratixiv_fifo_lib -L tech_fifo_lib -L dp_lib -L technology_lib -L rtl_work -L work   -L compaandesign_com_pipeline2rtl_hwn_nd_5_1_lib -L compaandesign_com_pipeline2rtl_param_ext_1_lib -L compaandesign_com_pipeline2rtl_hwn_nd_10_1_lib -L compaandesign_com_pipeline2rtl_hwn_nd_8_1_lib -L compaandesign_com_invert2rtl_hwn_nd_1_1_lib -L compaandesign_com_pipeline2rtl_functions_1_lib -L compaandesign_com_common_hwnode_1_lib -L compaandesign_com_pipeline2rtl_hwn_nd_2_1_lib -L compaandesign_com_invert2rtl_hwn_nd_3_1_lib -L compaandesign_com_pipeline2rtl_hwn_nd_3_1_lib -L compaandesign_com_common_wire_connector_1_lib -L compaandesign_com_invert2rtl_hwn_nd_2_1_lib -L compaandesign_com_pipeline2rtl_hwn_nd_9_1_lib -L compaandesign_com_pipeline2rtl_register_rf_1_lib -L compaandesign_com_common_const_connector_1_lib -L compaandesign_com_invert2rtl_functions_1_lib -L compaandesign_com_pipeline2rtl_control_if_1_lib -L compaandesign_com_pipeline2rtl_hwn_nd_6_1_lib -L compaandesign_com_common_common_1_lib -L compaandesign_com_pipeline2rtl_hwn_nd_7_1_lib -L compaandesign_com_common_extern_connector_1_lib -L compaandesign_com_common_altera_1_lib -voptargs="+acc" system_ext_TB
#add wave *
#view structure
#view signals
#source isim_wave.tcl
run -all

