from myhdl import *

def dp_block_gen(dp_bus, clock, reset, g_count_max):
    """
    """
    @always_seq(clock.posedge, reset=reset)
    def incLogic():
        if dp_bus.ready==True:
            dp_bus.data.next = (dp_bus.data + 1) % g_count_max
            dp_bus.valid.next = True
            dp_bus.sop.next = False
            dp_bus.eop.next = False

            if dp_bus.data == 0:
                dp_bus.sop.next = True
            elif dp_bus.data == g_count_max-1:
                dp_bus.eop.next = True

    return incLogic
