from dp_stream_pkg import *
from dp_mux import dp_mux
from dp_block_gen import dp_block_gen

def dp_system(mux_dp_bus, reset, clock):

    bg0_dp_bus = DPBus(data_w=2)
    bg1_dp_bus = DPBus(data_w=2)

    bg0_dp_bus.ready = True
    bg1_dp_bus.ready = True

    bg0 = dp_block_gen(bg0_dp_bus, clock, reset, g_count_max=4)
    bg1 = dp_block_gen(bg1_dp_bus, clock, reset, g_count_max=4)
    my_mux = dp_mux(mux_dp_bus, bg0_dp_bus, bg1_dp_bus)

    return bg0, bg1, my_mux







def convert():

    mux_dp_bus = DPBus(data_w=2)
    clock = Signal(False)
    reset = ResetSignal(0, active=0, async=True)
    toVerilog(dp_system, mux_dp_bus, reset, clock)
    toVHDL(dp_system, mux_dp_bus, reset, clock)

convert()
