#from myhdl import Signal, Simulation, delay, always_comb

from dp_stream_pkg import *

from dp_mux import dp_mux
from random import randrange

dp_mux_src_out, dp_mux_snk_in_a, dp_mux_snk_in_b = [DPBus(data_w=4) for i in range(3)]

sel = Signal(0)

u_dp_mux = dp_mux(dp_mux_src_out, dp_mux_snk_in_a, dp_mux_snk_in_b, sel)

def test():
    print "z a b sel"
    for i in range(8):
        dp_mux_snk_in_a.data.next, dp_mux_snk_in_b.data.next, sel.next = randrange(8), randrange(8), randrange(2)
        yield delay(10)
        print "%s %s %s %s" % (dp_mux_src_out.data, dp_mux_snk_in_a.data, dp_mux_snk_in_b.data, sel)

test_1 = test()

sim = Simulation(u_dp_mux, test_1)
sim.run()
